org.apache.tools.ant.filters

## Class StripLineComments.Comment

- java.lang.Object
- - org.apache.tools.ant.filters.StripLineComments.Comment

Enclosing class:
  StripLineComments

    public static class StripLineComments.Comment
    extends java.lang.Object

The class that holds a comment representation.

### Constructor Summary

Constructors
Constructor and Description
`Comment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addText(java.lang.String comment)` Alt.
`java.lang.String` `getValue()` Returns the prefix for this type of line comment.
`void` `setValue(java.lang.String comment)` Sets the prefix for this type of line comment.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Comment

    public Comment()

### Method Detail

#### setValue

    public final void setValue(java.lang.String comment)

Sets the prefix for this type of line comment.

Parameters:
  `comment` - The prefix for a line comment of this type. Must not be `null`.

#### getValue

    public final java.lang.String getValue()

Returns the prefix for this type of line comment.

Returns:
  the prefix for this type of line comment.

#### addText

    public void addText(java.lang.String comment)

Alt. syntax to set the prefix for this type of line comment.

Parameters:
  `comment` - The prefix for a line comment of this type. Must not be `null`.